Description

While QGIS 2.2 could be installed on Ubuntu 14.4, the installation of python-qgis fails because of unsolvable dependencies. The package

want to install sip-api-10.1 while version 11 is already installed.

History

#1 - 2014-05-03 07:00 AM - Benedikt Ziegler

I got the same issue. Yesterday I jumped from Xubuntu 12.04 to Xubuntu 14.04. Now I updated from QGIS 2.0 (ubuntugis ppa) to 2.2 using 'deb 

http://qgis.org/debian trusty main'. Package python-qgis_2.2_0-2+trusty1_i386.deb update failed printing this logs:

Vorbereitung zum Entpacken von .../libqwt5-qt4_5.2.3-1_i386.deb ...

Entpacken von libqwt5-qt4 (5.2.3-1) ...

Vormals nicht ausgewähltes Paket libqgis2.2.0 wird gewählt.

Vorbereitung zum Entpacken von .../libqgis2.2.0_2.2.0-2+trusty1_i386.deb ...

Entpacken von libqgis2.2.0 (2.2.0-2+trusty1) ...

*Vorbereitung zum Entpacken von .../python-qgis_2.2.0-2+trusty1_i386.deb ...

Entpacken von python-qgis (2.2.0-2+trusty1) über (2.0.1-2build2) ...

dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/python-qgis_2.2.0-2+trusty1_i386.deb (--unpack):

 Versuch, »/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.so« zu überschreiben, welches auch in Paket python-pyspatialite 3.0.1-4 ist

dpkg-deb: Fehler: Unterprozess einfügen wurde durch Signal (Datenübergabe unterbrochen (broken pipe)) getötet

*Vorbereitung zum Entpacken von .../python-qgis-common_2.2.0-2+trusty1_all.deb ...

Entpacken von python-qgis-common (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-plugin-grass_2.2.0-2+trusty1_i386.deb ...

»Umleitung von /usr/bin/qgis zu /usr/bin/qgis.bin durch qgis-plugin-grass« wird beibehalten

»Umleitung von /usr/bin/qbrowser zu /usr/bin/qbrowser.bin durch qgis-plugin-grass« wird beibehalten

Entpacken von qgis-plugin-grass (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-plugin-globe_2.2.0-2+trusty1_i386.deb ...

Entpacken von qgis-plugin-globe (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis_2.2.0-2+trusty1_i386.deb ...

Entpacken von qgis (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-providers_2.2.0-2+trusty1_i386.deb ...

Entpacken von qgis-providers (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-providers-common_2.2.0-2+trusty1_all.deb ...

Entpacken von qgis-providers-common (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-plugin-grass-common_2.2.0-2+trusty1_all.deb ...

Entpacken von qgis-plugin-grass-common (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-plugin-globe-common_2.2.0-2+trusty1_all.deb ...

Entpacken von qgis-plugin-globe-common (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Vorbereitung zum Entpacken von .../qgis-common_2.2.0-2+trusty1_all.deb ...
Entpacken von qgis-common (2.2.0-2+trusty1) über (2.0.1-2build2) ...

Trigger für mime-support (3.54ubuntu1) werden verarbeitet ...

Trigger für man-db (2.6.7.1-1) werden verarbeitet ...

Trigger für shared-mime-info (1.2-0ubuntu3) werden verarbeitet ...

Trigger für gnome-menus (3.10.1-0ubuntu2) werden verarbeitet ...

Trigger für desktop-file-utils (0.22-1ubuntu1) werden verarbeitet ...

Trigger für hicolor-icon-theme (0.13-1) werden verarbeitet ...

Fehler traten auf beim Bearbeiten von:

 /var/cache/apt/archives/python-qgis_2.2.0-2+trusty1_i386.deb

Log ended: 2014-05-03  15:39:22

E: /var/cache/apt/archives/python-qgis_2.2.0-2+trusty1_i386.deb: Versuch, »/usr/lib/python2.7/dist-packages/pyspatialite/_spatialite.so« zu

überschreiben, welches auch in Paket python-pyspatialite 3.0.1-4 ist

#2 - 2014-05-08 04:16 AM - Nicholas Latham

Hi Benedikt,

I think this is due to including pyspatialite now in python-qgis. If you want to get around this uninstall python-pyspatialite (using sudo apt-get remove

python-pyspatialite) and then try again. 

I think this is the problem because I had the same one (though I don't speak German?) and doing ^ this worked for me.

I think the packages need to be updated to say it conflicts with python-pyspatialite

Hope this helps

#3 - 2014-05-08 04:28 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Assignee set to Jürgen Fischer

- Status changed from Open to Closed

fixed commit:f96c8d7

2024-03-13 2/2


